import { default as PropTypes } from 'prop-types';
declare function TableSearch({ search, options, searchText, searchTextUpdate, searchClose, onSearchOpen, }: {
    search?: string | undefined;
    options: any;
    searchText?: string | undefined;
    searchTextUpdate: any;
    searchClose: any;
    onSearchOpen?: ((...args: any[]) => void) | undefined;
}): import("react/jsx-runtime").JSX.Element;
declare namespace TableSearch {
    namespace propTypes {
        let search: PropTypes.Requireable<string>;
        let searchText: PropTypes.Requireable<string>;
        let onSearchOpen: PropTypes.Requireable<(...args: any[]) => any>;
        let options: PropTypes.Validator<object>;
        let searchTextUpdate: PropTypes.Validator<(...args: any[]) => any>;
        let searchClose: PropTypes.Validator<(...args: any[]) => any>;
    }
}
export default TableSearch;
